> ## Documentation Index
> Fetch the complete documentation index at: https://developer.firstsales.io/llms.txt
> Use this file to discover all available pages before exploring further.

# PublicApiGetLearningGraph

> GET /api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/graph

Use this endpoint through the Developer API or the matching `firstsales` CLI command when available. Responses use the stable FirstSales public error envelope.


## OpenAPI

````yaml GET /api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/graph
openapi: 3.1.0
info:
  title: FirstSales Developer API
  version: 1.0.0
  description: >-
    Public v1 developer API for FirstSales.io. Generated from live step
    definitions — do not hand-edit.
servers:
  - url: https://sandbox.api.app.firstsales.io
  - url: https://api.app.firstsales.io
security:
  - bearerAuth: []
tags:
  - name: Activities
  - name: Alerts
  - name: API Keys
  - name: Authentication
  - name: Billing
  - name: Campaigns
  - name: Companies
  - name: Connectors
  - name: Contacts
  - name: Copilot
  - name: Dashboard
  - name: Deals
  - name: Email Authentication
  - name: Inbox
  - name: Knowledge Bases
  - name: Learning
  - name: Offerings
  - name: Organizations
  - name: Sequence Library
  - name: Team
  - name: Tracking Domains
  - name: Warmup
paths:
  /api/v1/organizations/{orgId}/workspaces/{wsId}/campaigns/{campaignId}/learning/graph:
    get:
      tags:
        - Learning
      summary: PublicApiGetLearningGraph
      operationId: getApiV1OrganizationsOrgIdWorkspacesWsIdCampaignsCampaignIdLearningGraph
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
        - name: wsId
          in: path
          required: true
          schema:
            type: string
        - name: campaignId
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
        - name: topN
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 20
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicLearningGraphResponse'
        '400':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '401':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '403':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '404':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '429':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '500':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        '503':
          description: Public API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorEnvelope'
      security:
        - developerKeyBearer: []
components:
  schemas:
    PublicLearningGraphResponse:
      type: object
      properties:
        graph:
          type: object
          properties:
            learningState:
              type: string
              minLength: 1
            nodes:
              maxItems: 21
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                  label:
                    type: string
                    minLength: 1
                  kind:
                    type: string
                    enum:
                      - campaign
                      - opener
                      - cta
                      - length
                      - structure
                      - semantic
                  weight:
                    type: number
                required:
                  - id
                  - label
                  - kind
                additionalProperties: false
            edges:
              maxItems: 20
              type: array
              items:
                type: object
                properties:
                  source:
                    type: string
                    minLength: 1
                  target:
                    type: string
                    minLength: 1
                  weight:
                    type: number
                    minimum: 0
                  polarity:
                    type: string
                    enum:
                      - preferred
                      - avoid
                required:
                  - source
                  - target
                  - weight
                  - polarity
                additionalProperties: false
          required:
            - learningState
            - nodes
            - edges
          additionalProperties: false
      required:
        - graph
      additionalProperties: false
    PublicErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            requestId:
              type: string
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - requestId
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Legacy compatibility bearer scheme for generated consumers.
    developerKeyBearer:
      type: http
      scheme: bearer
      description: FirstSales developer API key bearer token (fs-key-*).

````